#ifndef BASE_HPP
# define BASE_HPP

#include <iostream>

class Base {

public:

	Base( void );							// default/parametric constructor
	Base( Base const & src );				// copy constructor
	~Base( void );							// destructor

	Base &	operator=( Base const & rhs );	// assignement operator

	Base(int i);
};

#endif
